/*
 Theme Name:     University of Delaware, College of Engineering
 Theme URI:      http://www.engr.udel.edu/
 Description:    Custom Divi theme for the College of Engineering. Divi theme *MUST* be installed.
 Author:         Vicky Tosh-Morelli
 Template:       Divi
 Version:        1.0.0
*/
 

@font-face {
    font-family: 'Greycliff';
    src: url('/wp-content/themes/udel-engr/fonts/GreycliffCF-Bold.woff2') format('woff2'),
         url('/wp-content/themes/udel-engr/fonts/GreycliffCF-Bold.woff') format('woff');
    font-weight: 700;
	font-display: swap;
}

@font-face {
    font-family: 'Greycliff';
    src: url('/wp-content/themes/udel-engr/fonts/GreycliffCF-Light.woff2') format('woff2'),
         url('/wp-content/themes/udel-engr/fonts/GreycliffCF-Light.woff') format('woff');
    font-weight: 300;
	font-display: swap;
}
@font-face {
    font-family: 'Greycliff';
    src: url('/wp-content/themes/udel-engr/fonts/Greycliff-CF-Regular.woff2') format('woff2'),
         url('/wp-content/themes/udel-engr/fonts/Greycliff-CF-Regular.woff') format('woff');
    font-weight: 400;
	font-display: swap;
}

@font-face {
    font-family: 'Vanguard';
    src: url('/wp-content/themes/udel-engr/fonts/vanguard-cf-regular.woff2') format('woff2'),
         url('/wp-content/themes/udel-engr/fonts/vanguard-cf-regular.woff') format('woff');
    font-weight: 400;
	font-display: swap;
}

@font-face {
    font-family: 'Vanguard';
    src: url('/wp-content/themes/udel-engr/fonts/Vanguard-LF-Bold.woff2') format('woff2'),
         url('/wp-content/themes/udel-engr/fonts/Vanguard-LF-Bold.woff') format('woff');
    font-weight: 700;
	font-display: swap;
}

@font-face {
    font-family: 'Vanguard';
    src: url('/wp-content/themes/udel-engr/fonts/Vanguard-LF-Extra-Bold.woff2') format('woff2'),
         url('/wp-content/themes/udel-engr/fonts/vanguard-LF-Extra-Bold.woff') format('woff');
    font-weight: 800;
	font-display: swap;
}


body { margin: 0; }

/* This header max-width may be altered to match the width of your site content/container */
header#udHeader #udHeaderContainer, div#udHeader-collegeBar { max-width: 1440px; padding-left: 40px;}

/* UD Banner */
header#udHeader { position: relative; width: 100%; background-color: #00539f; border-bottom: 2px solid #ffd300; float: left; }
header#udHeader #udHeaderContainer { width: 100%; margin: auto; overflow: hidden; position: relative; }
header#udHeader #udHeaderWrapper { position: relative; width: 100%; float: left;}
header#udHeader #udHeaderLogo img { height: 70px; float: left; margin: 20px 20px 20px 0px; }

/* College Banner */
div#udHeader-collegeOuterWrapper { width: 100%; background: #003c71; overflow: hidden; position: relative; z-index: 1000; }
div#udHeader-collegeBar { width: 100%; margin: auto; padding: 15px 25px 15px 40px; font-size: 18px; box-sizing: border-box; background: #003c71; overflow: hidden; position: relative; z-index: 1000; line-height: normal; }
div#udHeader-collegeBar #udHeader-collegeWrapper a { font-family: 'Greycliff', 'open sans'; letter-spacing: 1px; text-transform: uppercase; color: #FFF; text-decoration: none; line-height: normal;
font-weight: 700; -webkit-font-smoothing: auto; -moz-osx-font-smoothing: auto; }
div#udHeader-collegeBar #udHeader-collegeWrapper a:hover { text-decoration: none; }

/* Search Menu */
header#udHeader .udHeaderMenu ul { margin: 0 15px 0 0; padding: 0;}
header#udHeader .udHeaderMenu li { float: left; padding-left: 15px; list-style: none; }
header#udHeader .udHeaderMenu li.udHeaderSearch { padding-left: 0; margin-left: 0; }
header#udHeader .udHeaderMenu a img { height: 25px; margin-top: 10px; }
header#udHeader .udHeaderMenuTrigger a img { height: 25px; }
header#udHeader .udHeaderMenu { font-family: 'open sans'; text-align: center; z-index: 2; margin: 0; position: absolute; top: 0; right: 0; }
header#udHeader .udHeaderMenu #udHeaderSearch { position: absolute; top: 45px; right: 15px; background: #eee; padding: 5px 5px 1px 5px; width: 340px; }
header#udHeader #udHeaderSearchTrigger { padding-right: 15px; padding-bottom: 5px;}
header#udHeader #udHeaderSearchTrigger.udHeaderOn { background: #003c71; }
header#udHeader .udHeaderMenu.show,.udHeaderSearch.show { display: block; }
header#udHeader .udHeaderSearch.hide { display: none; }
header#udHeader ul.udHeader-icon-list, header#udHeader ul.udHeader-icon-list li { margin: 0; }

/* Hide Mobile Elements in Desktop */
header#udHeader #udHeaderMenuTrigger { display: none; }

@media only screen and (max-width: 1024px) {
	/* UD Banner */
	body header#udHeader #udHeaderMenuTrigger { display: inline-block; }
	body header#udHeader #udHeaderLogo img { height: 40px; margin: 15px; }
	body header#udHeader .udHeaderMenuTrigger { position: absolute; top: 23px; right: 28px; width: 25px; cursor: pointer; }
	body header#udHeader .udHeaderMenuTrigger span {  height: 5px; width: 5px; margin: auto; background-color: #FFF; border-radius: 50%; display: block; clear: left; }
  	body header#udHeader .udHeaderMenuTrigger span + span { margin-top: 5px; }
	body header#udHeader .udHeaderMenuTrigger.udHeaderOn span { background: #fed600; }
	body header#udHeader .udHeaderMenu { text-align: center; background: #003c71; margin: 0; display: none; position: relative; }
	
	/* Search Menu (show search) */
	body header#udHeader .udHeaderMenu a { color: #00539f; display: block; padding: 10px; }
	body header#udHeader .udHeaderMenu ul { margin-right: 15px; margin: 0; padding: 0px 15px; }
	body header#udHeader .udHeaderMenu li { float: none; }
	body header#udHeader .udHeaderMenu li + li { border-top: 1px solid #00315c; margin-left: 0; padding-left: 0; }
	/* Search Menu (search bar) */
	body header#udHeader #udHeaderSearchTrigger { height: 20px; padding-bottom: 0; }
	body header#udHeader #udHeaderSearchTrigger.udHeaderOn { background: transparent; }
	body header#udHeader #udHeaderSearchTrigger.udHeaderOn a { padding-bottom: 0; }
	body header#udHeader #udHeaderSearch {width: 100%; position: relative; top: 0; margin: 0; padding: 0;}
	body header#udHeader #udHeaderSearch.show { border-top: 0; padding-bottom: 1px; }
	body header#udHeader #udHeaderSearchTrigger img { margin-left: 15px; height: 20px; }
	body header#udHeader #udHeaderSearch { padding-bottom: 15px !important; background: none; right: inherit; }
	body header#udHeader .udHeaderMenu #udHeaderSearch { position: relative; top: 0; right: 0; background: none; padding: 0; width: 100%; }

	/* College Banner */
	body div#udHeader-collegeBar #udHeader-collegeMenuTrigger { display: block; position: absolute; top: 50%; transform: translateY(-50%); right: 25px; width: 32px; margin-top: -5px; }
	body div#udHeader-collegeBar #udHeader-collegeBar { font-size: 16px; }
	div#udHeader-collegeBar {padding: 15px 25px 15px 15px; }

	/* Hide desktop search elemetns in mobile regardless of desktop state */
	body header#udHeader #udHeaderSearchTrigger a { display: none !important; }
}


			footer#udFooter { 
				width: 100%;
				margin-top: 33px;
				background-color: #fff;
				border-top: 3px solid #ffd300; 
				clear: both;
			}
			
			/* This footer max-width may be altered to match the width of your site content/container */
			footer#udFooter .udFooter-container {  max-width: 1140px; }
			
			footer#udFooter .udFooter-container { width: 100%;  margin: auto; position: relative; }
			footer#udFooter #udFooterLogo { width: 129px; position: absolute; top: -33px; left: 0; z-index: 2; }
			
			footer#udFooter .udFooterHeader { float: right; width: 100%; }
			footer#udFooter ul.udFooterSocial-icons { padding: 0; margin: 8px 5px 0 0;  list-style: none; float: right; }
			footer#udFooter ul.udFooterSocial-icons li { padding: 0;
				display: inline-block;
				margin: 0;
				width: 44px; height: 44px;
				padding-left: 0;
				
			}
			footer#udFooter ul.udFooterSocial-icons li a {  width: 44px; padding: 12px 0 12px 0; display: block; }
			
			footer#udFooter .udFooterSocial-icons img {
				height: 20px;
				width: 20px;
				object-fit: contain;
				margin: auto;
				display: block;
			}
	
			footer#udFooter .udFooterLinks { width: 100%; margin: 124px auto 0 auto; background-color: #eee; clear: both; }
			
			footer#udFooter .udFooterLinks div {
			font-family: Arial;
			font-size: 10px;
			color: #000000;
			margin: auto;
			text-align: center;
			
			}
	
			footer#udFooter .udFooterLinks div a { color: #005AAD; }
			footer#udFooter .link-item { padding: 8px 10px 10px 0; display: inline-block; margin: auto; }
			footer#udFooter .container-fluid { width: 80%; text-align: center;}
			
			
			@media only screen and (max-width: 1200px) { 
				footer#udFooter #udFooterLogo  { left: 15px;}
			}
			
			@media only screen and (max-width: 980px) { 
				footer#udFooter .udFooterHeader { float: none; width: auto; }
				footer#udFooter ul.udFooterSocial-icons { float: none; text-align: center; padding-top: 50px; }
				footer#udFooter ul.udFooterSocial-icons li { text-align: center; }
				footer#udFooter .udFooterLinks { margin-top: 5px; }
				footer#udFooter #udFooterLogo { width: 65px; top: -25px; margin: auto; left: 50%; transform: translateX(-50%);}

			}

#page-container {
    padding-top: 0 !important;
    margin-bottom: 0px;
}

body.home h2 {
    word-wrap: initial;
}

.logo_container {
    display: none;
}

header {
    position: relative;
    z-index: 999999;
}

h2 {
    font-size: 41px;

}
h3 {
    font-size: 35px;
}
h4 {
    font-size: 22px;

}
h5 {
    font-size: 20px;
    line-height:1.7em;

}
h6 {
    font-size: 20px;
    line-height:1.7em;
}

.et_project_meta {
display: none;
}


#header-main {
    z-index: 999;
    top: 0px;
    width: 100%;
    position: relative;
    margin-bottom: -50px;
    }

.container {
	width: 90% !important;
}
.page.et_pb_pagebuilder_layout #main-content {
    background-color: transparent;
    }
.et_pb_module.et_pb_fullwidth_code.et_pb_fullwidth_code_0 {
	padding-top: 0px!important;
} 

/*Accessibility Changes*/
p a, li a , .et_pb_text_inner a { 
    text-decoration: underline !important;
        font-weight: bold;
}
p a:hover, li a:hover, .et_pb_text_inner a:hover {
    text-decoration: none!important;
}
td a:hover {
    text-decoration: underline!important;
}
*:focus, .keyboard-outline {
	/* inner indicator */
	outline: 2px #F9F9F9 solid;
	outline-offset: 0;
	/* outer indicator */
	box-shadow: 0 0 0 4px #193146;
}
.et_pb_post h2 a:hover, .et_pb_post .entry-title a:hover, .et_pb_portfolio_item h3 a:hover, .et_pb_portfolio_item .et_pb_module_header a:hover {
    text-decoration: underline;
}
/*End Accessibility Changes*/
/* Footer Styling*/

.light-link a {
    color: #fff!important;
}
.ud-footer-widget h4 {
    border-bottom: 4px solid #ffd200;
    width: 100%;
    margin-bottom: 20px;
}
.et-l--footer ul {
    list-style-type: none!important;
	padding: 0 0 20px 12px;
	line-height: initial;
}
.ud-footer-widget li:before {
    border-radius: 3px;
    border-style: solid;
    border-width: 3px;
    border-color: #ffd200;
    content: "";
    left: 0;
    position: absolute;
    margin-top: 11px;
}
.footer-widget h4 {
    color: #ffffff;
    font-weight: bold;
    font-size: 20px;
    border-bottom: 4px solid #ffd200;
    width:  100%;
    margin-bottom: 20px;
}
#footer-widgets .footer-widget li:before {
    display: none;
}
#footer-widgets .footer-widget a:hover {
    text-decoration: underline;
}
#footer-bottom {
    display: none;
}
/* Footer Styling*/
.et_pb_blog_grid .et_pb_image_container {
    margin-bottom: 0!important;
}
/*Equalize Blog Columns: https://divi-sensei.com/blog/2017/11/07/equalize-blog-grid-column-height/*/
.bloggrid .et_pb_salvattore_content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.bloggrid article {
        margin-bottom: 20px !important;
    -webkit-box-flex: 1;
        -ms-flex: 1 0 auto;
            flex: 1 0 auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}
 
.bloggrid .post-content {
    -webkit-box-flex: 1;
        -ms-flex: 1 0 auto;
            flex: 1 0 auto;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
}
 
.bloggrid .post-content-inner {
    padding-bottom: 10px;
} 
.bloggrid .column {
        margin-bottom: 20px !important;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.recruit-blurb .et_pb_blurb_container {
    padding: 0 20px 20px 20px;
}

/****** Vertically center rows in sections and modules in columns *******/ 
.dh-valign-center-row .et_pb_column,
.dh-valign-center-section,
.dh-valign-center-module {
   display: flex;
   flex-direction: column;
   justify-content: center;
}

.dh-valign-bottom-row .et_pb_column,
.dh-valign-bottom-section,
.dh-valign-bottom-module {
   display: flex;
   flex-direction: row;
   justify-content: flex-end;
}

/* Neghborhood Menu Format*/
#neighbor-nav h4.widgettitle {
    background-color: #003c71;
    padding: 10px;
    color: #fff;
    font-family: 'Greycliff',Helvetica,Arial,Lucida,sans-serif;
    font-weight: 700;
}
#neighbor-nav ul {
    background-color: #00539f;
}
#neighbor-nav li {
    color: #fff;
    padding: 10px 10px 0 20px;
    border-top: 1px #666666 solid;
}
#neighbor-nav li:first-child {
    border-top: none;
}
#neighbor-nav li:last-child {
    padding-bottom: 10px;
}
#neighbor-nav a {
    color: #fff;
    text-decoration: none!important;
    font-family: 'Greycliff',Helvetica,Arial,Lucida,sans-serif;
    font-weight: 300;
    letter-spacing: 1px;
}
#neighbor-nav .current-menu-item a , #neighbor-nav a:hover {
    color: #ffd200;
}
/*image aspect ratio square 1:1*/
@media only screen and (min-width: 981px) {
.pa-image-1-1 .et_pb_image_wrap {
padding-top: 100%;
display: block;
}
.pa-image-1-1 .et_pb_image_wrap img {
position: absolute;
height: 100%;
width: 100%;
top: 0;
left: 0;
right: 0;
bottom: 0;
object-fit: cover;
}
}
.pa-image-2-3 .et_pb_image_wrap {
padding-top: 150%;
display: block;
}
.pa-image-2-3 .et_pb_image_wrap img {
position: absolute;
height: 100%;
width: 100%;
top: 0;
left: 0;
right: 0;
bottom: 0;
object-fit: cover;
}
/* Control order of columns on mobile*/

@media all and (max-width: 980px) {
/*** wrap row in a flex box ***/
.custom-row-order {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
-webkit-flex-wrap: wrap; /* Safari 6.1+ */
flex-wrap: wrap;
}
 
/*** custom classes that will designate the order of columns in the flex box row ***/
.first-on-mobile {
-webkit-order: 1;
order: 1;
}
 
.second-on-mobile {
-webkit-order: 2;
order: 2;
}
 
.third-on-mobile {
-webkit-order: 3;
order: 3;
}
 
.fourth-on-mobile {
-webkit-order: 4;
order: 4;
}
/*** add margin to last column ***/
.custom-row-order:last-child .et_pb_column:last-child {
margin-bottom: 30px;
}
 
}
/* End Control order of columns on mobile*/

/*Social Icon Styling */
ul.social-icons {
    padding: 0;
    margin: 8px 5px 0 0;
    list-style: none;
}

ul.social-icons li {
    padding: 0;
    display: inline-block;
    margin: 0 30px 0 0;
    padding-left: 0;
}

ul.social-icons li a {
    color: #003c71!important;
}
/*Social Icon Styling */
/*moved from ud-engr.css*/

.menu-undergraduate-advisement-quick-links-container a {
    text-decoration: underline;
}

body.home .localist_widget_container span.lw_event_item_date {
    background-color: #00539f;
    font-weight: bold;
    font-size: 13px;
}

.localist_widget_container {
 width: 100%;
 background-color: #f2f2f2 !important;
 overflow: hidden;
}

.ud-page-sidebar .widget_nav_menu {
    background: #00539f;
    padding: 10px;
}

.ud-page-sidebar .widget_nav_menu h4 {
    color: #ffffff;
    font-weight: bold;
    font-size: 20px;
    border-bottom: 4px solid #ffd200;
    width:  100%;
    margin-bottom: 20px;
}

.ud-page-sidebar .widget_nav_menu ul li a {
    color: #fff;
}

.et_pb_widget_area_left {
    padding: 0;
    border: none;
}

/* search results page styels */
.searchresults {
    border-bottom: 1px solid #444444;
    margin-bottom: 1.5rem;
}

.searchresults span {
    font-style: italic;
}

.searchresults-more-link {
    border-bottom: 1px solid #cccccc;
    padding-bottom: 1rem;
    margin-bottom: 1.5rem;
    display: block;
}

.searchresults-more-link:hover {
    text-decoration: underline;
}

/* team showcase plugin style changes */

.tshowcase-box {
    border-bottom: 1px solid #ddd;
    margin-bottom: 2em;
    padding-bottom: 1.5em;
}

.tshowcase-single-named-professor {
    font-size: .9em;
    text-transform: uppercase;
    font-weight: bold;
}

.tshowcase-single-telephone a:hover {
    text-decoration: underline;
}
.tshowcase-single-telephone a:before {
    content: "\f095";
    font-family: FontAwesome;
    margin-right: .5em;
}
.tshowcase-single-email a:hover {
    text-decoration: underline;
}
.tshowcase-single-email a:before {
    content: "\f0e0";
    font-family: FontAwesome;
    margin-right: .5em;
}

@media screen and (max-width:992px){
    /* team showcase plugin style changes */
    .ts-filter-nav > ul li, .ts-enhance-filter-nav > ul li, .ts-isotope-filter-nav > ul li {
        font-size: .85em !important;
    }
}

